<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <nz-card style="width: 100%" class="project-all-header">
    <form [formGroup]="form" (submit)="register()">
      <h2 style="text-align: center;">{{ "Politics.Countries.CreateCountry" | translate }}</h2>
      <nz-divider></nz-divider>
      <nz-alert style="text-align: center;" nzType="warning" nzMessage='{{ "Politics.Countries.countryCreatedCurrenty" | translate }}'></nz-alert>
      <div nz-row style="margin-top: 10px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.NameOfCountry" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <input style="width: 100%" nz-input placeholder='{{ "Politics.Countries.enterCountryName" | translate }}' formControlName="name" required />
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.TypeOfPolitics" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <nz-select style="width: 100%" formControlName="governmentType">
            <nz-option nzValue="Democracy" nzLabel='{{ "Politics.Democracy" | translate }}'></nz-option>
            <nz-option nzValue="Dictatorship" nzLabel='{{ "Politics.Dictatorship" | translate }}'></nz-option>
          </nz-select>
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.InitialBorderStatus" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <nz-select style="width: 100%" formControlName="borderClosedUntilGameDay">
            <nz-option nzValue="Open" nzLabel='{{ "Politics.Countries.Open" | translate }}'></nz-option>
            <nz-option nzValue="Closed" nzLabel='{{ "Politics.Countries.Closed" | translate }}'></nz-option>
          </nz-select>
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 5px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.CountryFlag" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <nz-upload nzType="drag" [nzMultiple]="false" nzAction="{{ apiUrl }}/api/utils/upload"
            [nzCustomRequest]="uploadDocument" nzName="avatar" nzListType="picture-card" [nzShowUploadList]="false">
            <ng-container *ngIf="!flagLocation">
              <i class="upload-icon" nz-icon [nzType]="loading ? 'loading' : 'plus'"></i>
              <div class="ant-upload-text">{{ "Politics.Countries.UploadCountryFlag" | translate }}</div>
            </ng-container>
            <img *ngIf="flagLocation" [src]="flagLocation" class="avatar" style="max-width: 100%" />
          </nz-upload>
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 5px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.CountryColor" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <input [(colorPicker)]="color" style="width: 100%" [style.background]="color" />
        </div>
      </div>

      <div nz-row style="margin-top: 5px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.CurrencyTag" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <input style="width: 100%" nz-input placeholder='{{ "Politics.Countries.enterCurrencyTag" | translate }}' formControlName="currencyName"
            maxlength="4" required />
        </div>
      </div>

      <div nz-row style="margin-top: 5px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Laws.WelcomeMessage" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <textarea nz-input placeholder='{{ "Politics.Countries.putWelcomeMessage" | translate }}' 
            [nzAutosize]="{ minRows: 3, maxRows: 6 }" formControlName="welcomeMessage" required></textarea>
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Laws.CitizenFee" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <nz-input-number [nzMin]="1" [nzMax]="100000" [nzStep]="1" [nzPlaceHolder]="1" formControlName="citizenFee"
            required style="width: 100%"></nz-input-number>
        </div>
      </div>

      <div nz-row style="margin-top: 10px; margin-bottom: 10px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="12" nzMd="10">
          <div class="text1">{{ "Politics.Countries.MinimumWage" | translate }}</div>
        </div>
        <div nz-col nzXs="24" nzSm="12" nzMd="8">
          <nz-input-number [nzMin]="1" [nzMax]="100000" [nzStep]="1" [nzPlaceHolder]="1" formControlName="minimalWage"
            required style="width: 100%"></nz-input-number>
        </div>
      </div>
      <div nz-row style="margin-top: 30px; margin-bottom: 10px; margin-right: 50px" nzGutter="12">
        <div nz-col nzXs="24" nzSm="24" nzMd="24" style="text-align: center; padding-right: 10px; margin-bottom: 10px">
          <button style="width: 300px" nz-button nzShape="round" nzType="primary">
            {{ "Politics.Countries.CreateCountry" | translate }}
          </button>
        </div>
      </div>
      <div nz-row style="margin-top: 10px; margin-bottom: 10px"></div>
    </form>
  </nz-card>
</nz-spin>
